Skip to main content
`Ctrl`+`K`

# PetscWeakFormSetNumFields

Sets the number of fields

## Synopsis

    #include "petscds.h"
    PetscErrorCode PetscWeakFormSetNumFields(PetscWeakForm wf, PetscInt Nf)

Not Collective

## Input Parameters

- wf - The `PetscWeakForm` object

- Nf - The number of fields

## See Also

`PetscWeakForm`, `PetscWeakFormGetNumFields()`, `PetscWeakFormCreate()`

## Level

beginner

## Location

src/dm/dt/interface/dtweakform.c

Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages